1. 1688 Order Manage
  • 1688 API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
        POST
      • API for Creating Formal Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • API for Confirming Order Receipt
        POST
      • API for Retrieving Payment Link
        GET
      • API for Auto Payment of Order
        POST
    • 1688 Message Service
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
      • Signature Verification
  1. 1688 Order Manage

API for Creating Preview Order

POST
/alibaba/createOrder/preview
Preview orders only allow products from the same supplier. The API returns order discounts and validates: 1) orderability, 2) drop-shipping relation, and 3) stock, MOQ, and mixed batch rules.

Request

Body Params application/json

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/alibaba/createOrder/preview' \
--header 'Content-Type: application/json' \
--data '{
    "appKey": "",
    "appSecret": "",
    "flow": "general",
    "addressParam": {
        "provinceText": "浙江省",
        "cityText": "杭州市",
        "areaText": "滨江区",
        "townText": "长河镇",
        "address": "网商路699号",
        "postCode": "000000",
        "fullName": "张三",
        "mobile": "12345678901",
        "phone": "12345678901"
    },
    "cargoParamList": [
        {
            "specId": "7b284edcb7275776d92416f1220d1000",
            "quantity": 1,
            "offerId": 698925528268
        }
    ]
}'
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "orderPreviewResuslt": [
            {
                "discountFee": null,
                "tradeModeNameList": [
                    "assureTrade"
                ],
                "status": true,
                "taoSampleSinglePromotion": false,
                "sumPayment": 900,
                "message": null,
                "sumCarriage": 500,
                "resultCode": null,
                "sumPaymentNoCarriage": 400,
                "additionalFee": null,
                "flowFlag": "general",
                "cargoList": [
                    {
                        "amount": 4.0,
                        "message": null,
                        "finalUnitPrice": 4.0,
                        "specId": "7b284edcb7275776d92416f1220d1000",
                        "skuId": 4941178924537,
                        "resultCode": null,
                        "offerId": 698925528268,
                        "cargoPromotionList": [],
                        "openOfferId": "WWK0jtBMZFA45kRijemICw==",
                        "extPairList": null
                    }
                ],
                "shopPromotionList": [],
                "tradeModelList": [
                    {
                        "tradeWay": null,
                        "name": "担保交易",
                        "tradeType": "assureTrade",
                        "description": "买家下单后5天内支付全款,逾期付款,交易关闭。付款成功后卖家发货,买家在10天内确认收货。注:买家可使用1688网站提供的多种支付方式完成付款。特别提醒:如卖家已开通极速到账服务,将优先适用极速到账交易,买家支付款项将在买家下单并支付成功后或卖家发货后直接打入卖家账户。若买家在确认收货之前发起退款,杭州阿里巴巴智融数字技术有限公司提供非融资性担保服务,将保障除虚假、刷单等恶意行为之外的买家权益,在卖家没有及时向买家支付退款的情况下,代卖家向买家支付退款,并因此有权向卖家追偿所支付的退款。",
                        "opSupport": true
                    }
                ],
                "payChannelInfos": [
                    {
                        "name": "alipay",
                        "amountLimit": null
                    }
                ],
                "tradeServiceList": [],
                "extPairList": null,
                "canUseOfficialSolution": false,
                "officialSolutionModel": null
            }
        ],
        "success": true,
        "errorCode": null,
        "errorMsg": null,
        "postFeeByDescOfferList": null,
        "consignOfferList": null,
        "unsupportedCrossBorderPayOfferList": [],
        "extPairList": null
    },
    "timestamp": 1784648078510,
    "traceId": "79e85ad18c13",
    "cost": 0
}
Previous
API for Category Search on 1688
Next
API for Creating Formal Order
Built with